# Tutorials

Get a sense of TorchRL functionalities through our tutorials.

For an overview of TorchRL, try the [TorchRL demo](demo.ipynb).

Make sure you test the [TensorDict tutorial](tensordict.ipynb) to see what TensorDict
is about and what it can do.

To understand how to use `TensorDict` with pytorch modules, make sure to check out the [TensorDictModule tutorial](tensordictmodule.ipynb).

Check out the [environment tutorial](envs.ipynb) for a deep dive in the envs
functionalities.

Read through our short tutorial on [multi-tasking](multi_task.ipynb) to see how you can execute diverse
tasks in batch mode and build task-specific policies.
This tutorial is also a good example of the advanced features of TensorDict stacking and
indexing.

Finally, the [DDPG tutorial](coding_ddpg.ipynb) will guide you through the steps to code 
your first RL algorithm in TorchRL.
